geos::noding::NodableSegmentString Class Reference

An interface for classes which support adding nodes to a segment string. More...

`#include <NodableSegmentString.h>`

Inheritance diagram for geos::noding::NodableSegmentString:

## Public Member Functions

| NodableSegmentString (const void *newContext, geom::CoordinateSequence *newSeq)
Public Member Functions inherited from geos::noding::SegmentString
| SegmentString (const void *newContext, geom::CoordinateSequence *newSeq)
| Construct a SegmentString.
const void * | getData () const
| Gets the user-defined data for this segment string.
void | setData (const void *data)
| Sets the user-defined data for this segment string.
std::size_t | size () const
template<typename CoordType = geom::Coordinate>
const CoordType & | getCoordinate (std::size_t i) const
const geom::CoordinateSequence * | getCoordinates () const
| Return a pointer to the CoordinateSequence associated with this SegmentString.
geom::CoordinateSequence * | getCoordinates ()
int | getSegmentOctant (std::size_t index) const
| Gets the octant of the segment starting at vertex index.
const geom::CoordinateXY & | nextInRing (std::size_t index) const
const geom::CoordinateXY & | prevInRing (std::size_t index) const
bool | isClosed () const
virtual std::ostream & | print (std::ostream &os) const

## Additional Inherited Members

Public Types inherited from geos::noding::SegmentString
typedef std::vector< const SegmentString * > | ConstVect
typedef std::vector< SegmentString * > | NonConstVect
Static Public Member Functions inherited from geos::noding::SegmentString
static int | getSegmentOctant (const SegmentString &ss, std::size_t index)
Protected Attributes inherited from geos::noding::SegmentString
geom::CoordinateSequence * | seq

## Detailed Description

An interface for classes which support adding nodes to a segment string.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- NodableSegmentString.h